dev_driver_string
Prev | Device Drivers Base | Next

## Name

dev_driver_string — Return a device's driver name, if at all possible

## Synopsis

`const char * dev_driver_string (` | struct device * | dev`)`;

## Arguments

`dev`

  struct device to get the name of

## Description

Will return the device's driver's name if it is bound to a device. If the device is not bound to a device, it will return the name of the bus it is attached to. If it is not attached to a bus either, an empty string will be returned.

Prev | Up | Next
driver_find | Home | device_create_file